Attribute VB_Name = "FlatLV"
'==============================================
'Module: FlatLV
'Purpose:
'(1)Create Flat header for ListViews
'(2)Correctly arrange ListViews
'-------------------------------------------
'Author: Dipak Auddy
'E-mail: auddy@gawab.com
'Date  : Mar 24, 2005
'==============================================
Option Explicit
'C O N S T A N T S:
Private Const GWL_STYLE        As Long = (-16)
Private Const LVM_FIRST        As Long = &H1000
Private Const LVM_GETHEADER    As Long = (LVM_FIRST + 31)
Private Const LVM_ARRANGE      As Long = (LVM_FIRST + 22)
Private Const HDS_BUTTONS      As Long = 2
'API Func.
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, _
                                                                        ByVal wMsg As Long, _
                                                                        ByVal wParam As Long, _
                                                                        lParam As Any) As Long
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, _
                                                                            ByVal nIndex As Long, _
                                                                            ByVal dwNewLong As Long) As Long
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, _
                                                                            ByVal nIndex As Long) As Long

Public Sub SetFlatHeaders(LVhwnd As Long)

Dim hHeader As Long
Dim Style   As Long

    'get the handle to the listview header
    hHeader = SendMessage(LVhwnd, LVM_GETHEADER, 0, ByVal 0&)
    'set the new style
    Style = GetWindowLong(hHeader, GWL_STYLE)
    Style = Style And Not HDS_BUTTONS
    Call SetWindowLong(hHeader, GWL_STYLE, Style)

End Sub

Public Sub ArrangeLV(lstView As ListView)

    If lstView.View <> lvwReport Then
        Call SendMessage(lstView.hwnd, LVM_ARRANGE, 0, ByVal 0&)
    End If

End Sub

':)Code Fixer V2.2.0 (24/03/2005 6:37:44 AM) 21 + 25 = 46 Lines Thanks Ulli for inspiration and lots of code.
